/* global require, process */
'use strict';

var elixir = require('laravel-elixir');
require('laravel-elixir-eslint');
require('laravel-elixir-todo');
require('./index.js');

/*
 |--------------------------------------------------------------------------
 | Elixir Asset Management
 |--------------------------------------------------------------------------
 */

elixir(function initElixir (mix) {
    // JAVASCRIPT:      Linting
    mix.eslint([
        'gulpfile.js',
        'index.js',
    ]);

    // DOCUMENT:        JSDOC
    mix.jsdoc();


    //noinspection JSUnusedGlobalSymbols
    mix.todo('', {
        verbose:         true,
        template:        './readme.todo',
        reporterOptions: {
            transformHeader:  function templateHeader (kind) {
                return ['### ' + kind + 's'];
            },
            transformComment: function templateComment (file, line, text) {
                return [text];
            },
        },
    });
});
